Subject: bug#193: Fix for bug#193.

From: Alan Mackenzie <[email-masked]>
Date: Fri, 6 Aug 2010 18:59:06 +0000

Hi, Christoph!

On Tue, Jul 13, 2010 at 07:08:30PM -0600, Christoph wrote:
> Alan,

> Anyway, it works fine now. Just like you described with an additional 
> space after the period, none otherwise.

> However, here is one more quirky case:

> /*
> this
> is
> a
> test
> .
> */

> expands to

> /*
> this is a test */

It fills properly for me when I type C-q.  That is, it works right after
applying the patch I sent ~ 3 weeks ago.

> I would have expected

> /* this is a test */

> However, this

> /*
> this
> is
> a
> test
>  */ (note the extra space at the beginning of the line)

> expands to

> /*
> this is a test
>  */

> which I can understand, but I am not sure if this is intended or if it 
> is supposed to also be

> /* this is a test */

A comment marker alone on a line stays that way, on the assumption that
this is a matter of style.  A comment marker on a line together with
text always keeps at least one word with it after filling.

> Thanks,
> Christoph

-- 
Alan Mackenzie (Nuremberg, Germany).